use strict;
use warnings;

my ($in_m8_file, $out_m8_file) = @ARGV;

open (my $out, ">", $out_m8_file) or die "could not open $out_m8_file for writing\n";
open (my $in, "<", $in_m8_file) or die "could not open $in_m8_file for reading\n";
my $line = <$in>;
while (defined $line) {
	chomp ($line);
	my ($metaeuk_header, $target) = split(/\t/, $line);
	my ($targetKey) = split(/\|/, $metaeuk_header);
	
	if ($target eq $targetKey) {
		print $out "$line\n";
	}	
	$line = <$in>;
}
close ($in);
close ($out);